io.undertow

## Class Undertow.ListenerBuilder

- java.lang.Object
- - io.undertow.Undertow.ListenerBuilder

Enclosing class:
  Undertow

    public static final class Undertow.ListenerBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ListenerBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Undertow.ListenerBuilder` `setHost(String host)`
`Undertow.ListenerBuilder` `setKeyManagers(KeyManager[] keyManagers)`
`Undertow.ListenerBuilder` `setOverrideSocketOptions(org.xnio.OptionMap overrideSocketOptions)`
`Undertow.ListenerBuilder` `setPort(int port)`
`Undertow.ListenerBuilder` `setRootHandler(HttpHandler rootHandler)`
`Undertow.ListenerBuilder` `setSslContext(SSLContext sslContext)`
`Undertow.ListenerBuilder` `setTrustManagers(TrustManager[] trustManagers)`
`Undertow.ListenerBuilder` `setType(Undertow.ListenerType type)`
`Undertow.ListenerBuilder` `setUseProxyProtocol(boolean useProxyProtocol)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListenerBuilder

    public ListenerBuilder()

### Method Detail

#### setType

    public Undertow.ListenerBuilder setType(Undertow.ListenerType type)

#### setPort

    public Undertow.ListenerBuilder setPort(int port)

#### setHost

    public Undertow.ListenerBuilder setHost(String host)

#### setKeyManagers

    public Undertow.ListenerBuilder setKeyManagers(KeyManager[] keyManagers)

#### setTrustManagers

    public Undertow.ListenerBuilder setTrustManagers(TrustManager[] trustManagers)

#### setSslContext

    public Undertow.ListenerBuilder setSslContext(SSLContext sslContext)

#### setRootHandler

    public Undertow.ListenerBuilder setRootHandler(HttpHandler rootHandler)

#### setOverrideSocketOptions

    public Undertow.ListenerBuilder setOverrideSocketOptions(org.xnio.OptionMap overrideSocketOptions)

#### setUseProxyProtocol

    public Undertow.ListenerBuilder setUseProxyProtocol(boolean useProxyProtocol)